using UnityEngine;

namespace XGame.Framework.UI
{
    /// <summary>
    /// UI树接口
    /// </summary>
    public interface IUITree
    {
        Camera Camera { get; }
        Canvas GetCanvas(UILayer layer);
        void AddPanel(IUIPanel panel);
        void RemovePanel(IUIPanel panel);
        void SetAsLastSibling(IUIPanel panel);
    }
}
